Subject: [mile] Validating the Schema of IODEF documents with Encrypted Classes

From: Trevor Freeman <[email-masked]>
Date: Sat, 25 Jan 2014 00:49:11 +0000

Looking at the guidance in RFC6545 in section 9.1, it would appear to support encrypting classes in IODEF documents where the restriction = private.

If restriction is set to 'private', the class or document MUST be encrypted for the recipient using XML encryption and the public key of the recipient.

However, if I do that, the XML validation of the document fails unless I perform it after decrypting the class and putting humpty back together again.

Has anyone else had the same problem?

So far, the only fix I have come up with is tweeking the schema of classes I want to encrypt.

<xs:group name="ClassChoice">
    <xs:choice>
        <xs:element ref="iodef:Class"/>
        <xs:element name="EncryptedClass" type="xenc:EncryptedDataType"/>
    </xs:choice>
</xs:group>

Trevor